# coding: utf-8
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "csvgem/version"

Gem::Specification.new do |spec|
  spec.name          = "csvgem"
  spec.version       = Csvgem::VERSION
  spec.authors       = ["Ricardo Acosta", "Jesus Hernandez"]
  spec.email         = ["rikard189@gmail.com", "jesus@icalialabs.com"]

  spec.description   = %q{A ruby gem to export all records of any model to a xls file}
  spec.summary       = %q{Export records of a model to a xls file}
  spec.homepage      = "https://github.com/IcaliaLabs/CSVGem"
  spec.license       = "MIT"

  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # to allow pushing to a single host or delete this section to allow pushing
  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.15"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"
  spec.add_development_dependency "activerecord", "~> 4.0.0"
  spec.add_development_dependency "sqlite3"
  spec.add_development_dependency "rspec-rails"
  spec.add_development_dependency "activesupport"
  spec.add_development_dependency "rails"
  spec.add_development_dependency "pry"
  spec.add_dependency "spreadsheet"
end
