# CSVGem

A ruby gem to export all records of any model to a xls file

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'csvgem'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install csvgem

## Usage

Just add the .to_xls method to the model you want to export all the records to an xls file. Inside the method you can specify which columns/attributes you want to get from that specific table/model. If you want all columns, just add the .to_xls method.
```ruby
YourModel.to_xls("attribute", "attribute1", "attribute3")
```
Use this method if you want the records of several models/tables
```ruby
Csvgem.to_xls(Model, Model1, Model2)
```
After applying any of these methods you will get a XLS file in your project.

## Contributing

1. Fork it
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Added some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create new Pull Request

## License

The gem is available as open source under the terms of the [MIT License](http://opensource.org/licenses/MIT).
